Light APIv1.0.0

API / Reference / Card Transactions

Reset card transaction

POST https://api.light.inc/v1/card-transactions/{transactionId}/reset

Reverses a posted card transaction's ledger entries and returns it to an editable state

Authorization

Send one of these on every request. See Authentication for how to get credentials.

  • API key

    Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.

  • Bearer token

Path parameters

  • transactionId string · uuidrequired

Response

  • id string · uuid

  • companyId string · uuid

  • companyEntityId string · uuid

  • cardBalanceAccountId string · uuid

  • cardId string · uuid

  • originalAmount integer · int64

  • originalCurrency string

  • amount integer · int64

  • currency string

  • direction string

    ⚠️ This enum is not exhaustive; new values may be added in the future.

    One of DEBIT CREDIT

  • transactionReason string

    ⚠️ This enum is not exhaustive; new values may be added in the future.

    One of ACCOUNT_NOT_ACTIVE AMOUNT_LIMIT_EXCEEDED APPROVAL_EXPIRED APPROVED AUTHENTICATION_FAILED AUTHENTICATION_REQUIRED BALANCE_ACCOUNT_BLOCKED_BY_RULE CALL_REFERRAL CANCELLED CARD_BLOCKED CARD_CAPTURED CARD_EXPIRED CARD_LOST_OR_STOLEN CARD_RESTRICTED CARD_VERIFICATION_FAILED CASHBACK_LIMIT_EXCEEDED CONTACTLESS_FALLBACK CONTACTLESS_LIMIT_REACHED COUNTERPARTY_ACCOUNT_UNAVAILABLE COUNTERPARTY_ADDRESS_REQUIRED COUNTERPARTY_BANK_UNAVAILABLE CRYPTOGRAPHIC_FAILURE DECLINED DECLINED_BY_BAP_VALIDATION DECLINED_BY_TRANSACTION_RULE DECLINED_NON_GENERIC DOMESTIC_DEBIT_NOT_ALLOWED DO_NOT_HONOR DUPLICATE_TRANSMISSION FORMAT_ERROR FRAUD HONOR_WITH_ID INSUFFICIENT_FUNDS INTERNAL_TIMEOUT INVALID_ACCOUNT INVALID_AMOUNT INVALID_AUTHORIZATION_LIFECYCLE INVALID_CARD INVALID_ISSUER INVALID_MERCHANT INVALID_TRANSACTION ISSUER_SUSPECTED_FRAUD MOBILE_PIN_REQUIRED NOT_SUBMITTED NO_ACCOUNT_OF_TYPE OTHER PARTIALLY_APPROVED PENDING PIN_INVALID PIN_NOT_CHANGED PIN_REQUIRED PIN_TRIES_EXCEEDED PIN_VALIDATION_NOT_POSSIBLE PROVIDER_ERROR PURCHASE_AMOUNT_ONLY_NO_CASHBACK REFUSED_BY_COUNTERPARTY_BANK REFUSED_BY_CUSTOMER REVOCATION_OF_AUTH ROUTE_NOT_FOUND SCHEME_ADVICE SECURITY_VIOLATION TRANSACTION_NOT_PERMITTED TRANSFER_INSTRUMENT_NOT_FOUND TRANSFER_NOT_SUPPORTED UNKNOWN WITHDRAWAL_AMOUNT_EXCEEDED WITHDRAWAL_COUNT_EXCEEDED

  • purchaseType string

    ⚠️ This enum is not exhaustive; new values may be added in the future.

    One of ATM BALANCE_INQUIRY ECOMMERCE POS RECURRING UNKNOWN OTHER

  • status string

    ⚠️ This enum is not exhaustive; new values may be added in the future.

    REFUNDED is a capture in the opposite direction — the reversal of a transaction already in the ledger, not an entry the ledger is missing.

    One of AUTHORIZED DECLINED CAPTURED REFUNDED VOIDED POSTED

  • type string

    ⚠️ This enum is not exhaustive; new values may be added in the future.

    One of PAYMENT REFUND OTHER

  • merchant object

    • name string

    • cleanName string

    • country string

      ⚠️ This enum is not exhaustive; new values may be added in the future.

      One of UNDEFINED AC AD AE AF AG AI AL AM AN AO AQ AR AS AT AU AW AX AZ BA BB BD BE BF BG BH BI BJ BL BM BN BO BQ BR BS BT BU BV BW BY BZ CA CC CD CF CG CH CI CK CL CM CN CO CP CR CS CU CV CW CX CY CZ DE DG DJ DK DM DO DZ EA EC EE EG EH ER ES ET EU EZ FI FJ FK FM FO FR FX GA GB GD GE GF GG GH GI GL GM GN GP GQ GR GS GT GU GW GY HK HM HN HR HT HU IC ID IE IL IM IN IO IQ IR IS IT JE JM JO JP KE KG KH KI KM KN KP KR KW KY KZ LA LB LC LI LK LR LS LT LU LV LY MA MC MD ME MF MG MH MK ML MM MN MO MP MQ MR MS MT MU MV MW MX MY MZ NA NC NE NF NG NI NL NO NP NR NT NU NZ OM PA PE PF PG PH PK PL PM PN PR PS PT PW PY QA RE RO RS RU RW SA SB SC SD SE SF SG SH SI SJ SK SL SM SN SO SR SS ST SU SV SX SY SZ TA TC TD TF TG TH TJ TK TL TM TN TO TP TR TT TV TW TZ UA UG UK UM US UY UZ VA VC VE VG VI VN VU WF WS XI XU XK YE YT YU ZA ZM ZR ZW

    • zipcode string

    • id string

    • mcc string

    • acquirerId string

    • logoUrl string

  • receiptDocumentKey string

  • lines array of object

    • id string · uuid

    • transactionId string · uuid

    • companyId string · uuid

    • accountId string · uuid

    • taxCodeId string · uuid

    • costCenterId string · uuid

    • amount integer · int64

    • netAmount integer · int64

    • taxAmount integer · int64

    • description string

    • createdAt string · date-time

    • updatedAt string · date-time

    • customProperties array of object

      • groupId string · uuid

        ID of the custom property group

      • groupInternalName string

        Internal name of the custom property group

      • values array of object

        List of values. Note that this will be a single value unless the group input type supports multiple values

        • id string · uuid

          Unique identifier for the object

        • groupId string · uuid

          ID of the custom property group

        • groupInternalName string

          Internal name of the custom property group

        • companyId string · uuid

          ID of the company

        • internalName string

          Internal name of the custom property value

        • label string

          Label of the custom property value

        • context string

          Context/description of the custom property value

        • createdAt string · date-time

          Timestamp when the custom property value was created

        • updatedAt string · date-time

          Timestamp when the custom property value was last updated

    • amortizationTemplateId string · uuid

    • amortizationStartDate string · date

    • amortizationEndDate string · date

  • failureContext object

    Failure context when vendor onboarding fails.

    • name string

      The error name

    • type string

      The error type

      ⚠️ This enum is not exhaustive; new values may be added in the future.

      One of BAD_REQUEST UNAUTHORIZED FORBIDDEN NOT_FOUND CONFLICT UNPROCESSABLE_CONTENT

    • errors array of object

      List of errors providing details about what went wrong

      • type string

        A string code identifying the error type

      • message string

        A human-readable message providing more details about the error

      • path array of string

        Optional path of the error when the error is for a specific field. Used mostly on BAD_REQUEST errors, that path will match the field name on the request object

      • context object

        Optional context providing additional information about the error. This can include any relevant data that might help in understanding or resolving the error

  • editStatus string

    ⚠️ This enum is not exhaustive; new values may be added in the future.

    One of ALL_EDITS_ALLOWED LINE_AMOUNT_EDITS_LOCKED ALL_EDITS_LOCKED

  • description string

  • performedAt string · date-time

  • createdAt string · date-time

  • updatedAt string · date-time

  • updatedBy string · uuid

  • customProperties array of object

    • groupId string · uuid

      ID of the custom property group

    • groupInternalName string

      Internal name of the custom property group

    • values array of object

      List of values. Note that this will be a single value unless the group input type supports multiple values

      • id string · uuid

        Unique identifier for the object

      • groupId string · uuid

        ID of the custom property group

      • groupInternalName string

        Internal name of the custom property group

      • companyId string · uuid

        ID of the company

      • internalName string

        Internal name of the custom property value

      • label string

        Label of the custom property value

      • context string

        Context/description of the custom property value

      • createdAt string · date-time

        Timestamp when the custom property value was created

      • updatedAt string · date-time

        Timestamp when the custom property value was last updated